Assign Team to Service Area

Bringg sends orders with addresses in a certain service area to the team(s) assigned to that area.

For multiple teams assigned to the same service area, orders are sent first to the team with the highest priority. Also known as create_team_service_area.

Response (Output) Params
ParameterDescription
success
boolean
Indicates whether the service completed successfully.
  • false - the service failed.
  • true - the service succeeded
message
string
If an error occurred, a message indicating the error is included.
rc
integer
If an error occurred, the return code is included.
effective_start_time
datetime
The date and time of when the team begins to serve this area. This is in UTC and is in the format is " %Y-%m-%dT%H:%M:%S%z".
effective_end_time
datetime
The date and time of when the team stops to serve this area. This is in UTC and is in the format is " %Y-%m-%dT%H:%M:%S%z".
id
integer
Bringg's unique ID for the team and service area coupling.
priority
integer
Indicates which team receives orders first when multiple teams serve the same area. If not supplied, order assignment is done by the sequence of the team array.
service_area_id
integer
Bringg's ID for the service area.
team_id
integer
Bringg's ID for the team
Body Params
string
required

Your ID for the service area. Must be unique per merchant. Required if no service_area_id.

int32
required

Bringg's unique ID for the service area. Required if no service_area_external_id.

string
required

Your ID for a team. Must be unique per merchant. Required if no team_id.

int32
required

Bringg's id for a team. Required if no team_external_id.

int32

Indicates which team receives orders first when multiple teams serve the same area.

date-time

The start date and time this team serves this area. Required if effective_end_date is not empty.

date-time

The end date and time this team serves this area. Required if effective_start_date is not empty.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json